#!/bin/bash

phaverlite=phaverlite-0.2_static

function run {
    model=$1/$2.pha
    config=$1/$3.cfg
    echo "==== model: " $model " config : " $config " ===="
    $phaverlite -v256001 $model $config
    if [ $? -ne 0 ]
    then
       echo "=== Fatal error analyzing $model $config ==="
       exit 1
    fi
}

# Adaptive cruise control
for safe in S U
do
    for k in 05 06 07 08
    do
        run ACC ACC$safe$k ACC$safe$k
    done
done

# Distributed controller
for k in 02 03 04
do
    run DISC DISC$k DISC$k
done

# Dutch railway network
for prop in BDR01 BDR02 BDR03 BDR04
do
    run DRNW DRNW02 DRNW02-$prop
done

# Fischer
for safe in S U
do
    for k in 04 05 06
    do
        run FISC FISC$safe$k FISC$safe$k
    done
done

# TTEthernet
for k in 05 07 09
do
    run TTE TTES$k TTES$k
done
